Index: trunk/src/world_entities/npc2.cc
===================================================================
--- trunk/src/world_entities/npc2.cc	(revision 5510)
+++ trunk/src/world_entities/npc2.cc	(revision 5511)
@@ -25,4 +25,6 @@
 #include "list.h"
 #include "stdlibincl.h"
+#include "debug.h"
+
 
 using namespace std;
Index: trunk/src/world_entities/npc2.h
===================================================================
--- trunk/src/world_entities/npc2.h	(revision 5510)
+++ trunk/src/world_entities/npc2.h	(revision 5511)
@@ -5,4 +5,6 @@
 #include "world_entity.h"
 #include "physics_interface.h"
+
+#include "glincl.h"
 
 class AI;
Index: trunk/src/world_entities/power_ups/laser_power_up.h
===================================================================
--- trunk/src/world_entities/power_ups/laser_power_up.h	(revision 5510)
+++ trunk/src/world_entities/power_ups/laser_power_up.h	(revision 5511)
@@ -8,4 +8,7 @@
 
 #include "power_up.h"
+
+/* FORWARD DEFINITION */
+class Material;
 
 class LaserPowerUp : public PowerUp {
Index: trunk/src/world_entities/power_ups/turret_power_up.h
===================================================================
--- trunk/src/world_entities/power_ups/turret_power_up.h	(revision 5510)
+++ trunk/src/world_entities/power_ups/turret_power_up.h	(revision 5511)
@@ -8,4 +8,7 @@
 
 #include "power_up.h"
+
+/* FORWARD DEFINITION */
+class Material;
 
 class TurretPowerUp : public PowerUp {
Index: trunk/src/world_entities/skybox.cc
===================================================================
--- trunk/src/world_entities/skybox.cc	(revision 5510)
+++ trunk/src/world_entities/skybox.cc	(revision 5511)
@@ -20,4 +20,6 @@
 #include "load_param.h"
 #include "factory.h"
+#include "model.h"
+
 
 using namespace std;
Index: trunk/src/world_entities/skybox.h
===================================================================
--- trunk/src/world_entities/skybox.h	(revision 5510)
+++ trunk/src/world_entities/skybox.h	(revision 5511)
@@ -14,4 +14,5 @@
 
 /* FORWARD DECLARATION */
+class Material;
 
 //! A Class to handle a SkyBox
Index: trunk/src/world_entities/skysphere.cc
===================================================================
--- trunk/src/world_entities/skysphere.cc	(revision 5510)
+++ trunk/src/world_entities/skysphere.cc	(revision 5511)
@@ -30,6 +30,5 @@
 
 #include "material.h"
-#include "vector.h"
-//#include "world_entity.h"
+#include "debug.h"
 
 
Index: trunk/src/world_entities/skysphere.h
===================================================================
--- trunk/src/world_entities/skysphere.h	(revision 5510)
+++ trunk/src/world_entities/skysphere.h	(revision 5511)
@@ -15,4 +15,5 @@
 /* INCLUDES */
 #include "world_entity.h"
+#include "glincl.h"
 
 /* FORWARD DECLARATION */
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 5510)
+++ trunk/src/world_entities/terrain.cc	(revision 5511)
@@ -23,4 +23,7 @@
 
 #include "resource_manager.h"
+#include "model.h"
+
+#include "glincl.h"
 
 using namespace std;
Index: trunk/src/world_entities/weapons/laser.cc
===================================================================
--- trunk/src/world_entities/weapons/laser.cc	(revision 5510)
+++ trunk/src/world_entities/weapons/laser.cc	(revision 5511)
@@ -23,4 +23,5 @@
 #include "list.h"
 #include "class_list.h"
+#include "model.h"
 
 #include "particle_engine.h"
Index: trunk/src/world_entities/weapons/projectile.cc
===================================================================
--- trunk/src/world_entities/weapons/projectile.cc	(revision 5510)
+++ trunk/src/world_entities/weapons/projectile.cc	(revision 5511)
@@ -23,5 +23,4 @@
 #include "null_parent.h"
 #include "model.h"
-#include "vector.h"
 
 #include "garbage_collector.h"
Index: trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- trunk/src/world_entities/weapons/rocket.cc	(revision 5510)
+++ trunk/src/world_entities/weapons/rocket.cc	(revision 5511)
@@ -20,4 +20,5 @@
 #include "fast_factory.h"
 
+#include "model.h"
 #include "state.h"
 #include "list.h"
Index: trunk/src/world_entities/weapons/test_bullet.cc
===================================================================
--- trunk/src/world_entities/weapons/test_bullet.cc	(revision 5510)
+++ trunk/src/world_entities/weapons/test_bullet.cc	(revision 5511)
@@ -20,4 +20,5 @@
 #include "fast_factory.h"
 
+#include "model.h"
 #include "state.h"
 #include "list.h"
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 5510)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 5511)
@@ -18,9 +18,11 @@
 
 #include "weapon_manager.h"
-#include "test_bullet.h"
+#include "projectile.h"
+
+#include "model.h"
+#include "p_node.h"
 
 #include "null_parent.h"
 #include "state.h"
-#include "vector.h"
 #include "list.h"
 #include "animation3d.h"
Index: trunk/src/world_entities/weapons/turret.h
===================================================================
--- trunk/src/world_entities/weapons/turret.h	(revision 5510)
+++ trunk/src/world_entities/weapons/turret.h	(revision 5511)
@@ -30,3 +30,4 @@
   private:
   };
+
 #endif /* _TURRET_H */
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 5510)
+++ trunk/src/world_entities/world_entity.cc	(revision 5511)
@@ -20,4 +20,5 @@
 #include "shell_command.h"
 
+#include "model.h"
 #include "resource_manager.h"
 #include "load_param.h"
Index: trunk/src/world_entities/world_entity.h
===================================================================
--- trunk/src/world_entities/world_entity.h	(revision 5510)
+++ trunk/src/world_entities/world_entity.h	(revision 5511)
@@ -8,5 +8,6 @@
 
 #include "p_node.h"
-#include "model.h"
+
+#include "glincl.h"
 
 // FORWARD DECLARATION
@@ -14,4 +15,5 @@
 class SoundSource;
 class BVTree;
+class Model;
 
 //class CharacterAttributes;
@@ -32,5 +34,5 @@
   void setVisibiliy (bool visibility) { this->bVisible = visibility; };
   /** @returns true if the entity is visible, false otherwise */
-  bool isVisible() const { return this->bVisible; };
+  inline bool isVisible() const { return this->bVisible; };
 
 