Index: /data/media/levels/gametype_asteroids.oxw
===================================================================
--- /data/media/levels/gametype_asteroids.oxw	(revision 5515)
+++ /data/media/levels/gametype_asteroids.oxw	(revision 5516)
@@ -25,6 +25,6 @@
 for i = 1, 100, 1 
 do ?>
-    <Model scale="<?lua print(math.random() * 150 + 30) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" position="<?lua print(math.random() * 10000 ) ?>,<?lua print(math.random() * 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>">
-
+  <Model scale="<?lua print(math.random() * 150 + 30) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" position="<?lua print(math.random() *      10000 ) ?>,<?lua print(math.random() * 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>">
+    
 </Model>
 <?lua 
@@ -34,19 +34,92 @@
 
 
-<ForceField position="0,-500,0" direction="0,1,1" diameter=1000 velocity=50>
+<ForceField position="0,-300,0" direction="0,-1,0" diameter=500 velocity=70>
   <attached>
-    <ParticleEmitter source="Orxonox/forcefield" lifetime=10000 startdelay=0 />
+    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
   </attached>         
  </ForceField>
  
-<ForceField position="1000,-100,0" direction="0,1,1" diameter=1500 velocity=100/>
-<ForceField position="1800,300,-500" direction="0,0,1" diameter=800 velocity=50/>
+ <!--
+ <ForceField position="1000,-100,0" direction="0,1,1" diameter=500 velocity=30>
+  <attached>
+    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
+  </attached>         
+ </ForceField>
+ 
+ <ForceField position="1800,300,-300" direction="0,0,1" diameter=800 velocity=100>
+  <attached>
+    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
+  </attached>         
+ </ForceField>
+-->
+
+
+<CheckPoint name=trigger1 position="-200,300,0" scale=5 isdestination=false isfirst=true stayactive=true distance=50 addtime=20>
+  <attached>
+    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0">
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<CheckPoint name=trigger2 position="1000,300,0" scale=5 isdestination=false stayactive=true distance=100 addtime=5>
+  <events>
+    <activity>
+      <EventListener event=trigger1 />
+    </activity>
+  </events>
+  <attached>
+    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0" />
+  </attached>
+  <attached>
+    <BlinkingBillboard frequency=0.2 amplitude=1 position="0,0,1" scale=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger1 />
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+  </attached>
+  <attached>
+    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger2 />
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<CheckPoint name=trigger3 position="1800,300,800" stayactive=true distance=100 addtime=5>
+  <events>
+    <activity>
+      <EventListener event=trigger2 />
+    </activity>
+  </events>
+  <attached>
+    <BlinkingBillboard frequency=0.2 amplitude=1 position="0,0,0" scale=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger2 />
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+  </attached>
+  <attached>
+    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0" />
+  </attached>
+</CheckPoint>
 
 
 
-<CheckPoint name=trigger1 position="-300,300,0" scale=5 isdestination=false isfirst=true stayactive=true distance=50 addtime=5 visibility=false />
 
 
-<CheckPoint name=trigger2 position="1000,300,600" scale=5 isdestination=false stayactive=true distance=50 addtime=5>
+<!--
+<CheckPoint name=trigger1 position="-300,300,0" scale=5 isdestination=false isfirst=true stayactive=true distance=50 addtime=5 visibillity=false />
+
+
+<CheckPoint name=trigger2 position="1000,300,0" scale=5 isdestination=false stayactive=true distance=100 addtime=5>
   <events>
     <activity>
@@ -57,5 +130,5 @@
 
 
-<CheckPoint name=trigger3 position="1800,300,800" stayactive=true distance=50 addtime=5>
+<CheckPoint name=trigger3 position="1800,300,800" stayactive=true distance=100 addtime=5>
   <events>
     <activity>
@@ -68,5 +141,5 @@
 
 
-<CheckPoint name=trigger4 position="2600,400,1100" stayactive=true distance=10 addtime=25>
+<CheckPoint name=trigger4 position="2600,400,1100" stayactive=true distance=100 addtime=25>
   <events>
     <activity>
@@ -78,7 +151,7 @@
 
 
-<Model position="3600,300,1400" scale=10 mesh="Carrier.mesh">
+<Model position="3800,400,1800" scale=10 mesh="Carrier.mesh" pitch=180>
   <attached>
-    <CheckPoint position="0,0,0" name=trigger5 stayactive=true distance=50 isdestination=true>
+    <CheckPoint position="-10,0,0" name=trigger5 stayactive=true distance=80 isdestination=true scal=1>
       <events>
         <activity>
@@ -89,5 +162,5 @@
   </attached>
 </Model>
-
+-->
 
 
Index: /data/media/particle/forcefield.particle
===================================================================
--- /data/media/particle/forcefield.particle	(revision 5515)
+++ /data/media/particle/forcefield.particle	(revision 5516)
@@ -3,24 +3,33 @@
 {
 	quota	10000
-	material	PE/lensflare
-	particle_width	30
-	particle_height	30
-	cull_each	false
+	material	PE/smoke
+	particle_width	20
+	particle_height	250
+	cull_each	true
 	renderer	billboard
-	billboard_type	point
+	sorted		false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	1 0 0
+	point_rendering	false
+	accurate_facing	false
 
-	emitter Ring
+	emitter Cylinder
 	{
 		angle	0
-		colour	1 1 1 0.5
-		colour_range_start	0 0.2 0.3 0
-		colour_range_end	0 0.4 1 0.1
-		direction	0 1 0
-		emission_rate	100
-		position	0 0 0
-		velocity	100
-		velocity_min	50
-		velocity_max	100
-		time_to_live	20
+		colour	0.744444 0 1 0.05
+		colour_range_start	0.744444 0 1 0.05
+		colour_range_end	0.533333 0 1 0.05
+		emission_rate	60
+		velocity	87.1
+		velocity_min	87.1
+		velocity_max	87.1
+		time_to_live	30
+		time_to_live_min	20
+		time_to_live_max	20
 		duration	0
 		duration_min	0
@@ -29,10 +38,31 @@
 		repeat_delay_min	0
 		repeat_delay_max	0
-		width	500
-		height	500
-		depth	400
-		inner_width	0.1
-		inner_height	0.1
+		depth	1
+		width 300
+		height 300
 	}
 
+	emitter Cylinder
+	{
+		angle	0
+		colour	1 0.455556 0 0.05
+		colour_range_start	1 0.455556 0 0.05
+		colour_range_end	0 0 1 0.05
+		emission_rate	60
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	20
+		time_to_live_max	20
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 300
+		height 300
+	}
 }