Index: /data/media/levels/gametype_underattack.oxw
===================================================================
--- /data/media/levels/gametype_underattack.oxw	(revision 5516)
+++ /data/media/levels/gametype_underattack.oxw	(revision 5517)
@@ -18,24 +18,46 @@
 
         <Destroyer
-     position          = "0,0,150"
-     collisionType     = dynamic
-     mass              = 100
-     velocity          = "50,50,0"
+            position          = "100,150,0"
+            collisionType     = dynamic
+            mass              = 1000
+            velocity          = "-35,0,0"
+            angularDamping    = 0.9999999
+            health            = 10000
+            maxhealth         = 10000
+            initialhealth     = 10000
         >
-<!--
-     linearDamping     = 0.7
-     angularDamping    = 0.9999999
--->
+
           <attached>
+            <TeamSpawnPoint team=1 position="150,0,7" direction="-1,0,0" roll=90 yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />           
+            <TeamSpawnPoint team=1 position="0,0,7" lookat="-1,0,0" roll="90"  yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />           
+            <TeamSpawnPoint team=1 position="-50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />           
+            <TeamSpawnPoint team=1 position="100,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />           
+            <TeamSpawnPoint team=1 position="50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
             <?lua
-            for i = 1, 10, 1 
+            for i = 1, 100, 1 
             do ?>
-            <SpawnPoint position="<?lua print(math.random() * 50 - 25) ?>,<?lua print(math.random() * 50 - 25) ?>,<?lua print(100 + math.random() * 50 - 25) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+            <TeamSpawnPoint team=0 position="<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+            <!--more spawnpoints for team1-->             
+            <!--<TeamSpawnPoint team=1 position="<?lua print((math.random() * 500 + 500)) ?>,<?lua print((math.random() * 500 + 500) ) ?>,<?lua print((math.random() * 500 + 500)) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+            <?lua end ?>-->
+            
+            
+            <Model mesh="Carrier.mesh" scale="5" />
+            <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+            <?lua for i=0,8,1 do ?>
+            <BlinkingBillboard position="<?lua print(200-270/8*i)?> ,15,2" material="Examples/Flare" colour="1.0, 0.5, 0.3" phase=<?lua print(-360/8*i)?> amplitude=0.1 frequency=0.5 quadratic=1 />
+            <BlinkingBillboard position="<?lua print(200-270/8*i)?>,-15,2" material="Examples/Flare" colour="1.0, 0.5, 0.3" phase=<?lua print(-360/8*i)?> amplitude=0.1 frequency=0.5 quadratic=1 />
             <?lua end ?>
-            <Model mesh="Carrier.mesh" scale="1" />
-            <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+            <Backlight scale=1 position=" 169, 75, -15" colour="1, 0.85, 0.5, 0.5" width=40 length=1000 lifetime=5 elements=15 trailmaterial="Trail/backlighttrail"  material="Examples/Flare" />
+            <Backlight scale=1 position=" 169, -75, -15" colour="1, 0.85, 0.5, 0.5" width=40 length=1000 lifetime=5 elements=15 trailmaterial="Trail/backlighttrail"  material="Examples/Flare" />
            </attached>     
             <collisionShapes>
-                <SphereCollisionShape radius="30" />
+                <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+                <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+                <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+                <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+                <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+                <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+                <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
             </collisionShapes>
         </Destroyer>