Index: branches/world_entities/src/lib/Makefile.in
===================================================================
--- branches/world_entities/src/lib/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/Makefile.in	(revision 5527)
@@ -270,7 +270,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/collision_detection/Makefile.in
===================================================================
--- branches/world_entities/src/lib/collision_detection/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/collision_detection/Makefile.in	(revision 5527)
@@ -220,7 +220,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/event/Makefile.in
===================================================================
--- branches/world_entities/src/lib/event/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/event/Makefile.in	(revision 5527)
@@ -210,7 +210,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/event/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/event/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/event/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/event/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/graphics/Makefile.in
===================================================================
--- branches/world_entities/src/lib/graphics/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/graphics/Makefile.in	(revision 5527)
@@ -227,7 +227,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/graphics/importer/Makefile.in
===================================================================
--- branches/world_entities/src/lib/graphics/importer/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/graphics/importer/Makefile.in	(revision 5527)
@@ -214,7 +214,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/graphics/spatial_separation/Makefile.in
===================================================================
--- branches/world_entities/src/lib/graphics/spatial_separation/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/graphics/spatial_separation/Makefile.in	(revision 5527)
@@ -204,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/gui/Makefile.in
===================================================================
--- branches/world_entities/src/lib/gui/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/gui/Makefile.in	(revision 5527)
@@ -183,7 +183,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/gui/gl_gui/Makefile.in
===================================================================
--- branches/world_entities/src/lib/gui/gl_gui/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/gui/gl_gui/Makefile.in	(revision 5527)
@@ -230,7 +230,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/gui/gtk_gui/Makefile.in
===================================================================
--- branches/world_entities/src/lib/gui/gtk_gui/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/gui/gtk_gui/Makefile.in	(revision 5527)
@@ -232,7 +232,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/particles/Makefile.in
===================================================================
--- branches/world_entities/src/lib/particles/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/particles/Makefile.in	(revision 5527)
@@ -207,7 +207,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/particles/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/physics/Makefile.in
===================================================================
--- branches/world_entities/src/lib/physics/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/physics/Makefile.in	(revision 5527)
@@ -215,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/shell/Makefile.in
===================================================================
--- branches/world_entities/src/lib/shell/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/shell/Makefile.in	(revision 5527)
@@ -209,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/shell/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/shell/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/shell/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/shell/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/sound/Makefile.in
===================================================================
--- branches/world_entities/src/lib/sound/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/sound/Makefile.in	(revision 5527)
@@ -207,7 +207,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/sound/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/sound/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/sound/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/sound/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: branches/world_entities/src/lib/tinyxml/Makefile.in
===================================================================
--- branches/world_entities/src/lib/tinyxml/Makefile.in	(revision 5516)
+++ branches/world_entities/src/lib/tinyxml/Makefile.in	(revision 5527)
@@ -203,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status