Index: /branches/network/src/lib/Makefile.in
===================================================================
--- /branches/network/src/lib/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXlibs_a_SOURCES)
 
 srcdir = @srcdir@
@@ -275,7 +273,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/collision_detection/Makefile.in
===================================================================
--- /branches/network/src/lib/collision_detection/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/collision_detection/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXcd_a_SOURCES)
 
 srcdir = @srcdir@
@@ -222,7 +220,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/event/Makefile.in
===================================================================
--- /branches/network/src/lib/event/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/event/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXevent_a_SOURCES)
 
 srcdir = @srcdir@
@@ -212,7 +210,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/event/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/event/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/event/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/event/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/graphics/Makefile.in
===================================================================
--- /branches/network/src/lib/graphics/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/graphics/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXgraphics_a_SOURCES)
 
 srcdir = @srcdir@
@@ -229,7 +227,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/graphics/importer/Makefile.in
===================================================================
--- /branches/network/src/lib/graphics/importer/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/graphics/importer/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXimporter_a_SOURCES)
 
 srcdir = @srcdir@
@@ -216,7 +214,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/graphics/spatial_separation/Makefile.in
===================================================================
--- /branches/network/src/lib/graphics/spatial_separation/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/graphics/spatial_separation/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXquadtree_a_SOURCES)
 
 srcdir = @srcdir@
@@ -206,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/gui/Makefile.in
===================================================================
--- /branches/network/src/lib/gui/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/gui/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -183,7 +183,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/gui/gl_gui/Makefile.in
===================================================================
--- /branches/network/src/lib/gui/gl_gui/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/gui/gl_gui/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXglgui_a_SOURCES)
 
 srcdir = @srcdir@
@@ -232,7 +230,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/gui/gtk_gui/Makefile.in
===================================================================
--- /branches/network/src/lib/gui/gtk_gui/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/gui/gtk_gui/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXgui_a_SOURCES)
 
 srcdir = @srcdir@
@@ -234,7 +232,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/network/Makefile.in
===================================================================
--- /branches/network/src/lib/network/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/network/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXnet_a_SOURCES)
 
 srcdir = @srcdir@
@@ -42,5 +40,5 @@
 target_triplet = @target@
 subdir = src/lib/network
-DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
+DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -206,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/network/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/network/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/network/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/network/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/network/netdefs.h
===================================================================
--- /branches/network/src/lib/network/netdefs.h	(revision 5530)
+++ /branches/network/src/lib/network/netdefs.h	(revision 5530)
@@ -0,0 +1,16 @@
+
+
+/*!
+ * @file network_manager.h
+ *  Main interface for the network module. Manages all the modules
+
+ */
+
+#ifndef _NETWORK_MANGER
+#define _NETWORK_MANAGER
+
+
+typedef unsigned char byte;
+
+
+#endif /* _NETWORK_MANAGER */
Index: /branches/network/src/lib/network/network_manager.cc
===================================================================
--- /branches/network/src/lib/network/network_manager.cc	(revision 5529)
+++ /branches/network/src/lib/network/network_manager.cc	(revision 5530)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,11 +16,14 @@
 
 /* this is for debug output. It just says, that all calls to PRINT() belong to the DEBUG_MODULE_NETWORK module
-   For more information refere to https://www.orxonox.net/cgi-bin/trac.cgi/wiki/DebugOutput 
+   For more information refere to https://www.orxonox.net/cgi-bin/trac.cgi/wiki/DebugOutput
 */
-#define DEBUG_MODULE_NETWORK 
+#define DEBUG_MODULE_NETWORK
 
 
 /* include your own header */
 #include "network_manager.h"
+
+/* include this file, it contains some default definitions */
+#include "netdefs.h"
 
 /* using namespace std is default, this needs to be here */
@@ -30,12 +33,12 @@
 /************************************
   What you will see here are the function definitions from the header file (network_manager.h) with doxygen documentation. Here is an example:
- 
- 
- In file network_manager.h  
+
+
+ In file network_manager.h
 
  class NetworkManager
  {
    int doSomeStuff(float argument, float* pointer);
- }   
+ }
 
  will be implemented in the source file as follows:
@@ -46,20 +49,20 @@
   *  this is the short description for this function: it just does some stuff
   * @param argument: this is the first argument, stuff...
-  * @param pointer:  this is the pointer to nowhereland   
-  * return: whatever the function returns: for example an index, number, etc. 
-  * /    
+  * @param pointer:  this is the pointer to nowhereland
+  * return: whatever the function returns: for example an index, number, etc.
+  * /
  int NetworkManager::doSomeStuff(float argument, float* pointer)
  {
-   // whaterver you want to do 
- }        
- 
+   // whaterver you want to do
+ }
+
 
  if you want to make automake compile your files: you will want to add the file names to the local Makefile.am
- 
+
  ************************************/
 
-                
-                
-                
+
+
+
 /**
  *  standard constructor
@@ -82,5 +85,5 @@
 {}
 
-  
+
 /**
  *  shutsdown the network manager
@@ -104,5 +107,5 @@
 void NetworkManager::shutdownConnection()
 {}
-  
+
 
 /**
Index: /branches/network/src/lib/particles/Makefile.in
===================================================================
--- /branches/network/src/lib/particles/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/particles/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXparticles_a_SOURCES)
 
 srcdir = @srcdir@
@@ -209,7 +207,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/particles/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/physics/Makefile.in
===================================================================
--- /branches/network/src/lib/physics/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/physics/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXphysics_a_SOURCES)
 
 srcdir = @srcdir@
@@ -217,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/shell/Makefile.in
===================================================================
--- /branches/network/src/lib/shell/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/shell/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXshell_a_SOURCES)
 
 srcdir = @srcdir@
@@ -211,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/shell/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/shell/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/shell/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/shell/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/sound/Makefile.in
===================================================================
--- /branches/network/src/lib/sound/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/sound/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXsound_a_SOURCES)
 
 srcdir = @srcdir@
@@ -209,7 +207,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/sound/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/sound/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/sound/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/sound/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /branches/network/src/lib/tinyxml/Makefile.in
===================================================================
--- /branches/network/src/lib/tinyxml/Makefile.in	(revision 5529)
+++ /branches/network/src/lib/tinyxml/Makefile.in	(revision 5530)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libtinyxml_a_SOURCES)
 
 srcdir = @srcdir@
@@ -205,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status