Index: /branches/network/src/Makefile.am
===================================================================
--- /branches/network/src/Makefile.am	(revision 5530)
+++ /branches/network/src/Makefile.am	(revision 5531)
@@ -73,49 +73,18 @@
                   subprojects/benchmark.cc
 
-noinst_HEADERS = orxonox.h \
-                 ability.h \
-                 defs/message_structures.h \
-                 story_entities/story_entity.h \
-                 story_entities/story_def.h \
-                 story_entities/campaign.h \
-                 story_entities/world.h \
-                 world_entities/world_entity.h \
-                 world_entities/camera.h \
-                 world_entities/player.h \
-                 world_entities/npc.h \
-                 world_entities/npc2.h \
-                 world_entities/environment.h \
-                 world_entities/skysphere.h \
-                 world_entities/skybox.h \
-                 world_entities/terrain.h \
-                 world_entities/satellite.h \
-                 world_entities/character_attributes.h \
-                 world_entities/test_entity.h \
-                 world_entities/weapons/weapon_manager.h \
-                 world_entities/weapons/weapon.h \
-                 world_entities/weapons/projectile.h \
-                 world_entities/weapons/test_gun.h \
-                 world_entities/weapons/turret.h \
-                 world_entities/weapons/test_bullet.h \
-                 world_entities/weapons/rocket.h \
-                 world_entities/weapons/laser.h \
-                 world_entities/weapons/crosshair.h \
-                 world_entities/power_ups/power_up.h \
-                 world_entities/power_ups/turret_power_up.h \
-                 world_entities/power_ups/laser_power_up.h \
-                 defs/stdincl.h \
-                 defs/stdlibincl.h \
-                 defs/sdlincl.h \
-                 defs/glincl.h \
-                 defs/alincl.h \
-                 defs/comincl.h \
-                 defs/confincl.h \
-                 defs/error.h \
-                 defs/debug.h \
-                 defs/globals.h \
-                 defs/compiler.h \
-                 defs/class_id.h \
-                 defs/functor_list.h \
-                 subprojects/benchmark.h
+noinst_HEADERS = orxonox.h ability.h defs/message_structures.h \
+		story_entities/story_entity.h story_entities/story_def.h story_entities/campaign.h \
+		story_entities/world.h world_entities/world_entity.h world_entities/camera.h \
+		world_entities/player.h world_entities/npc.h world_entities/npc2.h world_entities/environment.h \
+		world_entities/skysphere.h world_entities/skybox.h world_entities/terrain.h \
+		world_entities/satellite.h world_entities/character_attributes.h world_entities/test_entity.h \
+		world_entities/weapons/weapon_manager.h world_entities/weapons/weapon.h world_entities/weapons/projectile.h \
+		world_entities/weapons/test_gun.h world_entities/weapons/turret.h world_entities/weapons/test_bullet.h \
+		world_entities/weapons/rocket.h world_entities/weapons/laser.h world_entities/weapons/crosshair.h \
+		world_entities/power_ups/power_up.h world_entities/power_ups/turret_power_up.h \
+		world_entities/power_ups/laser_power_up.h defs/stdincl.h defs/stdlibincl.h defs/sdlincl.h defs/glincl.h \
+		defs/alincl.h defs/comincl.h defs/confincl.h defs/error.h defs/debug.h defs/globals.h \
+		defs/compiler.h defs/class_id.h defs/functor_list.h subprojects/benchmark.h \
+		network_socket.h network_socket.h
 
 
Index: /branches/network/src/lib/network/Makefile.am
===================================================================
--- /branches/network/src/lib/network/Makefile.am	(revision 5530)
+++ /branches/network/src/lib/network/Makefile.am	(revision 5531)
@@ -5,11 +5,12 @@
 
 libORXnet_a_SOURCES = synchronizeable.cc \
-                      network_manager.cc \
-		      connection_monitor.cc
+		      						network_manager.cc \
+		      						connection_monitor.cc
 
 
 
-noinst_HEADERS =     synchronizeable.h \
-                     network_manager.h \
-                     connection_monitor.h
+noinst_HEADERS = synchronizeable.h \
+                 network_manager.h \
+								 network_socket.h \
+                 connection_monitor.h
 
Index: /branches/network/src/lib/network/network_socket.h
===================================================================
--- /branches/network/src/lib/network/network_socket.h	(revision 5531)
+++ /branches/network/src/lib/network/network_socket.h	(revision 5531)
@@ -0,0 +1,29 @@
+/*!
+ * @file network_socket.h
+  *  Main interface for the network module. Manages all the modules
+
+*/
+
+#ifndef _NETWORK_SOCKET
+#define _NETWORK_SOCKET
+
+
+class NetworkSocket
+{
+
+public:
+
+  NetworkSocket();
+  ~NetworkSocket();
+ 
+  void connectToServer();
+  void listen();
+  void disconnectServer();
+  void writeBytes();
+	void readBytes();
+  
+};
+
+
+
+#endif /* _NETWORK_SOCKET */