Index: /data/media/particle/ExplosionComp1.particle
===================================================================
--- /data/media/particle/ExplosionComp1.particle	(revision 5539)
+++ /data/media/particle/ExplosionComp1.particle	(revision 5539)
@@ -0,0 +1,66 @@
+
+Orxonox/ExplosionComp1
+{
+	quota	150
+	material	PE/explosion
+	particle_width	20
+	particle_height	40
+	cull_each	true
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Ellipsoid
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	300
+		position	0 0 0
+		velocity	75
+		velocity_min	75
+		velocity_max	75
+		time_to_live	0.6
+		time_to_live_min	0.4
+		time_to_live_max	0.8
+		duration	0.4
+		duration_min	0.3
+		duration_max	0.6
+		repeat_delay	2.5
+		repeat_delay_min	2.5
+		repeat_delay_max	2.5
+		width		20
+		hight		20
+		depth		0
+	}
+
+	affector Scaler
+	{
+		rate	5
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	130.6
+		scope	0.4505
+		keep_velocity	false
+	}
+
+	affector ColourFader
+	{
+		red	1
+		green	1
+		blue	1
+		alpha	-0.06306
+	}
+}
Index: /data/media/particle/ExplosionComp2.particle
===================================================================
--- /data/media/particle/ExplosionComp2.particle	(revision 5539)
+++ /data/media/particle/ExplosionComp2.particle	(revision 5539)
@@ -0,0 +1,56 @@
+
+Orxonox/ExplosionComp2
+{
+	quota	1000
+	material	PE/smoke
+	particle_width	10
+	particle_height	10
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 0.62963
+		colour_range_start	1 1 1 0.62963
+		colour_range_end	1 1 1 0.62963
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	80
+		velocity_min	80
+		velocity_max	80
+		time_to_live	0.8
+		time_to_live_min	0.8
+		time_to_live_max	0.8
+		duration	0.79
+		duration_min	0.79
+		duration_max	0.79
+		repeat_delay	1.5
+		repeat_delay_min	1.5
+		repeat_delay_max	1.5
+	}
+
+	affector Scaler
+	{
+		rate	12.07
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	-0.4234
+	}
+}
Index: /data/media/particle/ExplosionComp4.particle
===================================================================
--- /data/media/particle/ExplosionComp4.particle	(revision 5539)
+++ /data/media/particle/ExplosionComp4.particle	(revision 5539)
@@ -0,0 +1,76 @@
+
+ExplosionComp4
+{
+	quota	10
+	material	BaseWhite
+	particle_width	100
+	particle_height	100
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+}
+
+Orxonox/ExplosionComp4
+{
+	quota	500
+	material	PE/explosion
+	particle_width	24.19
+	particle_height	25.08
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	9.73
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	300
+		velocity_min	300
+		velocity_max	300
+		time_to_live	0.1802
+		time_to_live_min	0.1802
+		time_to_live_max	0.1802
+		duration	0.08
+		duration_min	0.08
+		duration_max	0.08
+		repeat_delay	0.1802
+		repeat_delay_min	0.1802
+		repeat_delay_max	0.1802
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	0
+		scope	0.2703
+		keep_velocity	false
+	}
+
+	affector LinearForce
+	{
+		force_vector	-16.8065 62.4805 6.57674
+		force_application	add
+	}
+}
Index: /data/media/particle/FireComp2.particle
===================================================================
--- /data/media/particle/FireComp2.particle	(revision 5539)
+++ /data/media/particle/FireComp2.particle	(revision 5539)
@@ -0,0 +1,69 @@
+
+Orxonox/FireComp2
+{
+	quota	10000
+	material	PE/smoke
+	particle_width	4
+	particle_height	4
+	cull_each	true
+	renderer	billboard
+	sorted	true
+	local_space	true
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	true
+
+	emitter HollowEllipsoid
+	{
+		angle	1.69
+		colour	1 1 1 0.506173
+		colour_range_start	1 1 1 0.506173
+		colour_range_end	1 1 1 0.506173
+		direction	0 1 0
+		emission_rate	1680
+		position	0 60 0
+		velocity	300
+		velocity_min	300
+		velocity_max	300
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	0.2
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	28.83
+		height	39.64
+		depth	88.29
+		inner_width	0.5
+		inner_height	0.5
+		inner_depth	0.5
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	250
+		scope	0.4865
+		keep_velocity	false
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	0.1351
+	}
+}
Index: /data/media/particle/LaserGun.particle
===================================================================
--- /data/media/particle/LaserGun.particle	(revision 5539)
+++ /data/media/particle/LaserGun.particle	(revision 5539)
@@ -0,0 +1,51 @@
+
+Orxonox/LaserGun
+{
+	quota	1000
+	material	PE/Streak
+	particle_width	1.892
+	particle_height	1.892
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	3.243
+		colour	1 0 0 1
+		colour_range_start	1 0 0 1
+		colour_range_end	1 0.0432099 0 1
+		direction	0 -1 0
+		emission_rate	1027
+		position	0 0 0
+		velocity	113.5
+		velocity_min	113.5
+		velocity_max	113.5
+		time_to_live	0.3604
+		time_to_live_min	0.3604
+		time_to_live_max	0.3604
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	0.2613
+		blue	-0.1712
+		alpha	-1
+	}
+}
Index: /data/media/particle/shotTest.particle
===================================================================
--- /data/media/particle/shotTest.particle	(revision 5539)
+++ /data/media/particle/shotTest.particle	(revision 5539)
@@ -0,0 +1,55 @@
+
+Orxonox/shotTest
+{
+	quota	3000
+	material	PE/bigFlame
+	particle_width	1
+	particle_height	10
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	true
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	7.2
+		colour	1 0 0 0.9
+		colour_range_start	1 0 0 0.9
+		colour_range_end	1 0.185185 0 0.9
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	300
+		velocity_min	300
+		velocity_max	300
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	0.2
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	500
+		scope	1
+		keep_velocity	false
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+}