Index: data/media/levels/gametype_asteroids.oxw
===================================================================
--- data/media/levels/gametype_asteroids.oxw	(revision 5539)
+++ data/media/levels/gametype_asteroids.oxw	(revision 5540)
@@ -8,10 +8,10 @@
  name         = "Asteroids Race"
  description  = "testmap for gametype asteroid race"
- gametype     = Asteroids
+ gametype     =  Asteroids
 >
-  <Scene
-   ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
-  >
+<Scene
+ ambientlight = "0.5, 0.5, 0.5"
+ skybox       = "Orxonox/Starbox"
+>
 
 <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
@@ -21,17 +21,23 @@
 <SpawnPoint position="-300,300,0" name="playerstart" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-<!--
+
 <?lua
-for i = 1, 500, 1
+for i = 1, 350, 1
 do
 j = math.random()
 ?>
 
-    <MovableEntity position="<?lua print(math.random()* 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=<?lua print(j * 150 + 30) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() *100) ?>" >
+    <MovableEntity 
+     position="<?lua print(math.random()* 9000 - 1000) ?>,<?lua print(math.random() * 8000 - 4000) ?>,<?lua print(math.random() * 8000 - 4000) ?>"  	 collisionType=dynamic 
+     linearDamping=0.8
+     angularDamping=0
+     scale=<?lua print(j * 150)?> 
+     collisiondamage=0.005
+     enablecollisiondamage=true>
       <attached>
-        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mass=<?lua print(j * 30) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+        <Model mass=<?lua print(j * 30) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
       </attached>
       <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(j * 2300 + 450) ?>" />
+        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
       </collisionShapes>
     </MovableEntity>
@@ -39,39 +45,72 @@
 end
 ?>
--->
-
-
-<MovableEntity position="0,0,0" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=5 collisiondamage=1 enablecollisiondamage=true>
-  <attached>
-    <Model position="0,0,0" scale=10 mass=100 mesh="ast1.mesh" />
+
+<!--
+<MovableEntity position="0,0,0" collisionType=dynamic scale=5 linearDamping=0.8 angularDamping=0  collisiondamage=0.005 enablecollisiondamage=true>
+  <attached>
+    <Model mass=100 mesh="ast1.mesh" />
   </attached>
     <collisionShapes>
-      <SphereCollisionShape radius=150 />
+      <SphereCollisionShape radius=11.75 />
     </collisionShapes>
 </MovableEntity>
 
 
-<ForceField position="0,-500,0" direction="0,1,0" diameter=500 velocity=70>
-  <attached>
-    <ParticleEmitter source="Orxonox/ForceFieldPurple" startdelay=0 />
+<MovableEntity position="0,300,0" scale=10 collisionType=dynamic linearDamping=0.8 angularDamping=0  collisiondamage=0.005 enablecollisiondamage=true>
+  <attached>
+    <Model mass=100 mesh="ast1.mesh" />
+  </attached>
+    <collisionShapes>
+      <SphereCollisionShape radius=22.5 />
+    </collisionShapes>
+</MovableEntity>
+
+
+<MovableEntity position="0,600,0"  scale=34  collisionType=dynamic linearDamping=0.8 angularDamping=0 collisiondamage=0.005 enablecollisiondamage=true>
+  <attached>
+    <Model mass=100 mesh="ast1.mesh" />
+  </attached>
+    <collisionShapes>
+      <SphereCollisionShape radius=76.5 />
+    </collisionShapes>
+</MovableEntity>
+
+<MovableEntity position="0,1200,0" scale=80 collisionType=dynamic linearDamping=0.8 angularDamping=0  collisiondamage=0.005 enablecollisiondamage=true>
+  <attached>
+    <Model mass=100 mesh="ast1.mesh" />
+  </attached>
+    <collisionShapes>
+      <SphereCollisionShape radius=200 />
+    </collisionShapes>
+</MovableEntity>
+-->
+
+<ForceField position="200,300,-500" direction="0,0,1" diameter=500 velocity=100>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldPurpleSmall" startdelay=0 />
   </attached>
  </ForceField>
 
-
- <ForceField position="1000,-500,0" direction="0,1,1" diameter=500 velocity=30>
-  <attached>
-    <ParticleEmitter source="Orxonox/ForceFieldGreen" startdelay=0 />
+ <ForceField position="1100,-150,600" direction="1,0.3,-0.7" diameter=800 velocity=200>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldBlueBig" startdelay=0 />
   </attached>
  </ForceField>
 
- <ForceField position="1800,-300,-300" direction="0,0,1" diameter=800 velocity=100>
-  <attached>
-    <ParticleEmitter source="Orxonox/ForceFieldBlue" startdelay=0 />
+ <ForceField position="4300,700,250" direction="-1,-1,-1" diameter=500 velocity=100>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldGreenSmall" startdelay=0 />
   </attached>
  </ForceField>
 
-
-
-<CheckPoint name=trigger1 position="-300,300,0" scale=1 isdestination=false isfirst=true stayactive=true distance=10 addtime=20 />
+  <ForceField position="5900,280,-1300" direction="-1,0,1" diameter=900 velocity=200>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldBlueBig" startdelay=0 />
+  </attached>
+ </ForceField>
+
+
+
+<CheckPoint name=trigger1 position="-300,300,0" scale=1 isdestination=false isfirst=true stayactive=true distance=10 addtime=60 />
 
 
@@ -280,5 +319,5 @@
 
 
-<CheckPoint name=trigger6 position="4600, 800,-400" scale=3 isdestination=false stayactive=true distance=100 addtime=6>
+<CheckPoint name=trigger6 position="4600, 400,-400" scale=3 isdestination=false stayactive=true distance=100 addtime=6>
   <events>
     <activity>
@@ -331,7 +370,7 @@
 
 
-<Model position="3800,1200,-900" scale=10 mesh="Carrier.mesh" pitch=180>
-  <attached>
-    <CheckPoint position="-10,0,0" name=trigger7 scale=0.1 isdestination=true stayactive=true distance=100>
+<Model position="5600,200,-900" scale=10 pitch=-90  mesh="Carrier.mesh">
+  <attached>
+    <CheckPoint position="-10,0,0" name=trigger7 scale=0.6 isdestination=true stayactive=true distance=100>
   <events>
     <activity>
Index: data/media/particle/forcefield.particle
===================================================================
--- data/media/particle/forcefield.particle	(revision 5539)
+++ data/media/particle/forcefield.particle	(revision 5540)
@@ -1,8 +1,8 @@
-Orxonox/ForceFieldPurple
+Orxonox/ForceFieldPurpleBig
 {
 	quota	10000
 	material	PE/smoke
-	particle_width	20
-	particle_height	250
+	particle_width	30
+	particle_height	500
 	cull_each	true
 	renderer	billboard
@@ -21,8 +21,7 @@
 	{
 		angle	0
-		colour	0.744444 0 1 0.05
 		colour_range_start	0.744444 0 1 0.05
 		colour_range_end	0.533333 0 1 0.05
-		emission_rate	60
+		emission_rate	10
                 direction 0 0 -1
 		velocity	87.1
@@ -30,6 +29,6 @@
 		velocity_max	87.1
 		time_to_live	30
-		time_to_live_min	20
-		time_to_live_max	20
+		time_to_live_min	30
+		time_to_live_max	30
 		duration	0
 		duration_min	0
@@ -39,40 +38,63 @@
 		repeat_delay_max	0
 		depth	1
+		width 600
+		height 600
+	}
+
+	emitter Cylinder
+	{
+		angle	0
+		colour_range_start	0.3 0 0.3 0.05
+		colour_range_end	0.4 0 0.5 0.05
+		emission_rate	10
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
 		width 300
 		height 300
 	}
-
-	emitter Cylinder
-	{
-		angle	0
-		colour	1 0.455556 0 0.05
-		colour_range_start	1 0.455556 0 0.05
-		colour_range_end	0 0 1 0.05
-		emission_rate	60
-                direction 0 0 -1
-		velocity	77.42
-		velocity_min	77.42
-		velocity_max	77.42
-		time_to_live	30
-		time_to_live_min	20
-		time_to_live_max	20
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		depth	0
-		width 300
-		height 300
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	5
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 900
+		height 900
 	}
 }
 
-Orxonox/ForceFieldGreen
+Orxonox/ForceFieldPurpleSmall
 {
 	quota	10000
 	material	PE/smoke
-	particle_width	20
-	particle_height	250
+	particle_width	30
+	particle_height	500
 	cull_each	true
 	renderer	billboard
@@ -91,8 +113,7 @@
 	{
 		angle	0
-		colour	0 0.744444 1 0.05
-		colour_range_start	0 0.744444 1 0.05
-		colour_range_end	0 0.533333 1 0.05
-		emission_rate	60
+		colour_range_start	0.744444 0 1 0.05
+		colour_range_end	0.533333 0 1 0.05
+		emission_rate	7
                 direction 0 0 -1
 		velocity	87.1
@@ -100,6 +121,6 @@
 		velocity_max	87.1
 		time_to_live	30
-		time_to_live_min	20
-		time_to_live_max	20
+		time_to_live_min	30
+		time_to_live_max	30
 		duration	0
 		duration_min	0
@@ -116,34 +137,62 @@
 	{
 		angle	0
-		colour	0 0.455556 0 0.05
-		colour_range_start	0 0.455556 0 0.05
-		colour_range_end	0 0.8 0 0.05
-		emission_rate	60
-                direction 0 0 -1
-		velocity	77.42
-		velocity_min	77.42
-		velocity_max	77.42
-		time_to_live	30
-		time_to_live_min	20
-		time_to_live_max	20
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		depth	0
-		width 300
-		height 300
+		colour_range_start	0.3 0 0.3 0.05
+		colour_range_end	0.4 0 0.5 0.05
+		emission_rate	6
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 200
+		height 200
+	}
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	4
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 500
+		height 500
 	}
 }
 
 
-Orxonox/ForceFieldBlue
+
+	
+
+		
+
+Orxonox/ForceFieldGreenBig
 {
 	quota	10000
 	material	PE/smoke
-	particle_width	20
-	particle_height	350
+	particle_width	30
+	particle_height	500
 	cull_each	true
 	renderer	billboard
@@ -162,13 +211,14 @@
 	{
 		angle	0
-		colour	0 0 0.744444 0.05
-		colour_range_start	0 0 0.744444 0.05
-		colour_range_end	0.5 0 0.533333 0.05
-		emission_rate	150
+		colour_range_start	0 0.744444 1 0.05
+		colour_range_end	0 0.533333 1 0.05
+		emission_rate	10
                 direction 0 0 -1
 		velocity	87.1
 		velocity_min	87.1
 		velocity_max	87.1
-		time_to_live	50
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
 		duration	0
 		duration_min	0
@@ -185,13 +235,317 @@
 	{
 		angle	0
-		colour	0 0 0.455556 0.05
+		colour_range_start	0 0.455556 0 0.05
+		colour_range_end	0 0.8 0 0.05
+		emission_rate	10
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 300
+		height 300
+	}
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	5
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 900
+		height 900
+	}
+}
+
+Orxonox/ForceFieldGreenSmall
+{
+	quota	10000
+	material	PE/smoke
+	particle_width	30
+	particle_height	500
+	cull_each	true
+	renderer	billboard
+	sorted		false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	1 0 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Cylinder
+	{
+		angle	0
+		colour	0 0.744444 1 0.05
+		colour_range_start	0 0.744444 1 0.05
+		colour_range_end	0 0.533333 1 0.05
+		emission_rate	7
+                direction 0 0 -1
+		velocity	87.1
+		velocity_min	87.1
+		velocity_max	87.1
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	1
+		width 300
+		height 300
+	}
+
+	emitter Cylinder
+	{
+		angle	0
+		colour	0 0.455556 0 0.05
+		colour_range_start	0 0.455556 0 0.05
+		colour_range_end	0 0.8 0 0.05
+		emission_rate	6
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 200
+		height 200
+	}
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	4
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 500
+		height 500
+	}
+}
+
+			
+Orxonox/ForceFieldBlueBig
+{
+	quota	10000
+	material	PE/smoke
+	particle_width	30
+	particle_height	500
+	cull_each	true
+	renderer	billboard
+	sorted		false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	1 0 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Cylinder
+	{
+		angle	0
+		colour_range_start	0 0 0.744444 0.05
+		colour_range_end	0.5 0 0.533333 0.05
+		emission_rate	10
+                direction 0 0 -1
+		velocity	87.1
+		velocity_min	87.1
+		velocity_max	87.1
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	1
+		width 600
+		height 600
+	}
+
+	emitter Cylinder
+	{
+		angle	0
 		colour_range_start	0 0.3 0.455556 0.05
 		colour_range_end	0 0.5 0.8 0.05
-		emission_rate	150
-                direction 0 0 -1
-		velocity	77.42
-		velocity_min	77.42
-		velocity_max	77.42
-		time_to_live	50
+		emission_rate	10
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 300
+		height 300
+	}
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	5
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 900
+		height 900
+	}
+}
+
+Orxonox/ForceFieldBlueSmall
+{
+	quota	10000
+	material	PE/smoke
+	particle_width	30
+	particle_height	500
+	cull_each	true
+	renderer	billboard
+	sorted		false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	1 0 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Cylinder
+	{
+		angle	0
+		colour_range_start	0 0 0.744444 0.05
+		colour_range_end	0.5 0 0.533333 0.05
+		emission_rate	7
+                direction 0 0 -1
+		velocity	87.1
+		velocity_min	87.1
+		velocity_max	87.1
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	1
+		width 300
+		height 300
+	}
+
+	emitter Cylinder
+	{
+		angle	0
+		colour_range_start	0 0.3 0.455556 0.05
+		colour_range_end	0 0.5 0.8 0.05
+		emission_rate	6
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		depth	0
+		width 200
+		height 200
+	}
+	
+	emitter Cylinder
+	{
+		angle	1 1 1 0.05
+		colour_range_start	0.9 0.9 0.9 0.05
+		colour_range_end	1 1 1 0.05
+		emission_rate	4
+                direction 0 0 -1
+		velocity	77.42
+		velocity_min	77.42
+		velocity_max	77.42
+		time_to_live	30
+		time_to_live_min	30
+		time_to_live_max	30
 		duration	0
 		duration_min	0
@@ -205,3 +559,2 @@
 	}
 }
-