Index: /trunk/src/lib/util/multi_type.cc
===================================================================
--- /trunk/src/lib/util/multi_type.cc	(revision 5544)
+++ /trunk/src/lib/util/multi_type.cc	(revision 5545)
@@ -17,11 +17,15 @@
 
 #include "multi_type.h"
-#include <stddef.h>
-#include <stdlib.h>
-#include <string.h>
-#include <stdio.h>
+#include "stdincl.h"
+// #include <stddef.h>
+// #include <stdlib.h>
+// #include <string.h>
+// #include <stdio.h>
 
 using namespace std;
 
+/**
+ * creates a multiType without any stored value at all.
+ */
 MultiType::MultiType()
 {
@@ -30,5 +34,8 @@
 }
 
-
+/**
+ * creates a multiType out of a boolean
+ * @param value the Value of this MulitType
+ */
 MultiType::MultiType(bool value)
 {
@@ -37,4 +44,8 @@
 }
 
+/**
+ * creates a multiType out of an integer
+ * @param value the Value of this MulitType
+ */
 MultiType::MultiType(int value)
 {
@@ -43,5 +54,8 @@
 }
 
-
+/**
+ * creates a multiType out of a float (double)
+ * @param value the Value of this MulitType
+ */
 MultiType::MultiType(double value)
 {
@@ -50,5 +64,8 @@
 }
 
-
+/**
+ * creates a multiType out of a char
+ * @param value the Value of this MulitType
+ */
 MultiType::MultiType(char value)
 {
@@ -57,5 +74,8 @@
 }
 
-
+/**
+ * creates a multiType out of a String
+ * @param value the Value of this MulitType
+ */
 MultiType::MultiType(const char* value)
 {
@@ -91,4 +111,7 @@
 }
 
+/**
+ * initializes the MultiType
+ */
 void MultiType::init()
 {
@@ -104,4 +127,8 @@
 }
 
+/**
+ * sets a new Value to the MultiType
+ * @param value the new Value as a bool
+ */
 void MultiType::setBool(bool value)
 {
@@ -110,5 +137,8 @@
 }
 
-
+/**
+ * sets a new Value to the MultiType
+ * @param value the new Value as an int
+ */
 void MultiType::setInt(int value)
 {
@@ -117,5 +147,8 @@
 }
 
-
+/**
+ * sets a new Value to the MultiType
+ * @param value the new Value as a float
+ */
 void MultiType::setFloat(float value)
 {
@@ -125,5 +158,8 @@
 }
 
-
+/**
+ * sets a new Value to the MultiType
+ * @param value the new Value as a char
+ */
 void MultiType::setChar(char value)
 {
@@ -132,19 +168,27 @@
 }
 
-
+/**
+ * sets a new Value to the MultiType
+ * @param value the new Value as a String
+ */
 void MultiType::setString(const char* value)
 {
   this->type = MT_STRING;
-  this->value.String = new char[strlen(value)+1];
-  strcpy(this->value.String, value);
-
-  this->storedString = this->value.String;
-}
-
-
-
-
-
-
+
+  if (this->storedString != NULL)
+    delete[] this->storedString;
+  this->storedString = new char[strlen(value)+1];
+  strcpy(storedString, value);
+
+  this->value.String = this->storedString;
+}
+
+
+
+
+
+/**
+ * @returns the Value of this MultiType as a int
+ */
 bool MultiType::getBool() const
 {
@@ -161,5 +205,7 @@
 }
 
-
+/**
+ * @returns the Value of this MultiType as a int
+ */
 int MultiType::getInt() const
 {
@@ -182,5 +228,7 @@
 }
 
-
+/**
+ * @returns the Value of this MultiType as a float
+ */
 float MultiType::getFloat() const
 {
@@ -204,4 +252,7 @@
 
 
+/**
+ * @returns the Value of this MultiType as a char
+ */
 char MultiType::getChar() const
 {
@@ -217,4 +268,7 @@
 }
 
+/**
+ * @returns the Value of this MultiType as a String
+ */
 const char* MultiType::getString()
 {
@@ -253,5 +307,7 @@
 }
 
-
+/**
+ * prints out some nice debug output
+ */
 void MultiType::debug()
 {
@@ -268,4 +324,9 @@
 }
 
+/**
+ * converts a MT_Type into a String
+ * @param type: the MT_Type
+ * @returns: the Type as a constant String (do not delete)
+ */
 const char* MultiType::MultiTypeToString(MT_Type type)
 {
@@ -287,4 +348,9 @@
 }
 
+/**
+ * converts a String into a MT_Type
+ * @param type: the Type as a String
+ * @returns: the Type as MT_Type
+ */
 MT_Type MultiType::StringToMultiType(const char* type)
 {
Index: /trunk/src/lib/util/multi_type.h
===================================================================
--- /trunk/src/lib/util/multi_type.h	(revision 5544)
+++ /trunk/src/lib/util/multi_type.h	(revision 5545)
@@ -2,5 +2,5 @@
  * @file multi_type.h
  * @brief Definition of ...
-*/
+ */
 
 #ifndef _MULTI_TYPE_H
@@ -29,58 +29,61 @@
 class MultiType {
 
- public:
-   MultiType();
-   MultiType(bool value);
-   MultiType(int value);
-   MultiType(double value);
-   MultiType(char value);
-   MultiType(const char* value);
-   virtual ~MultiType();
-   void init();
+  public:
+    MultiType();
+    MultiType(bool value);
+    MultiType(int value);
+    MultiType(double value);
+    MultiType(char value);
+    MultiType(const char* value);
+    virtual ~MultiType();
 
-   MultiType operator= (const MultiType& mt);
+    MultiType operator= (const MultiType& mt);
 
-   void setType(MT_Type);
+    void setType(MT_Type);
 
-   void setBool(bool value);
-   void setInt(int value);
-   void setFloat(float value);
-   void setChar(char value);
-   void setString(const char* value);
+    void setBool(bool value);
+    void setInt(int value);
+    void setFloat(float value);
+    void setChar(char value);
+    void setString(const char* value);
 
-   inline void setValue(bool value) { this->setBool(value); };
-   inline void setValue(int value) { this->setInt(value); };
-   inline void setValue(float value) { this->setFloat(value); };
-   inline void setValue(char value) { this->setChar(value); };
-   inline void setValue(const char* value) { this->setString(value); };
+    inline void setValue(bool value) { this->setBool(value); };
+    inline void setValue(int value) { this->setInt(value); };
+    inline void setValue(float value) { this->setFloat(value); };
+    inline void setValue(char value) { this->setChar(value); };
+    inline void setValue(const char* value) { this->setString(value); };
 
-  /** @returns the Type of the Value stored in this MultiType */
-  inline MT_Type getType() const { return this->type; };
+    /** @returns the Type of the Value stored in this MultiType */
+    inline MT_Type getType() const { return this->type; };
 
-  bool getBool() const;
-  int getInt() const;
-  float getFloat() const;
-  char getChar() const;
-  const char* getString();
+    bool getBool() const;
+    int getInt() const;
+    float getFloat() const;
+    char getChar() const;
+    const char* getString();
 
 
-  void debug();
+    void debug();
 
-  static const char* MultiTypeToString(MT_Type type);
-  static MT_Type StringToMultiType(const char* type);
+    static const char* MultiTypeToString(MT_Type type);
+    static MT_Type StringToMultiType(const char* type);
 
- private:
-   MT_Type             type;
-   union Type
-   {
-     bool              Bool;
-     int               Int;
-     float             Float;
-     char              Char;
-     char*             String;
+  private:
+    void init();
 
-   }                   value;
 
-   char*               storedString;
+  private:
+    MT_Type             type;
+    union Type
+    {
+      bool              Bool;
+      int               Int;
+      float             Float;
+      char              Char;
+      char*             String;
+
+    }                   value;
+
+    char*               storedString;
 };
 
Index: /trunk/src/util/loading/load_param.cc
===================================================================
--- /trunk/src/util/loading/load_param.cc	(revision 5544)
+++ /trunk/src/util/loading/load_param.cc	(revision 5545)
@@ -31,5 +31,5 @@
  * @param ...: the parameter information (1. Parameter, 2. Default Value for the Parameter, ...)
 */
-BaseLoadParam::BaseLoadParam(const TiXmlElement* root, BaseObject* object, const char* paramName,
+LoadParamBase::LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName,
                              int paramCount, bool multi, const void* pointerToParam, ...)
 {
@@ -110,5 +110,5 @@
  * @returns a pointer to itself.
 */
-BaseLoadParam* BaseLoadParam::describe(const char* descriptionText)
+LoadParamBase* LoadParamBase::describe(const char* descriptionText)
 {
   if (LoadClassDescription::parametersDescription && this->paramDesc && !this->paramDesc->getDescription())
Index: /trunk/src/util/loading/load_param.h
===================================================================
--- /trunk/src/util/loading/load_param.h	(revision 5544)
+++ /trunk/src/util/loading/load_param.h	(revision 5545)
@@ -40,5 +40,5 @@
 class LoadParamDescription
 {
-  friend class BaseLoadParam;
+  friend class LoadParamBase;
   friend class LoadClassDescription;
  public:
@@ -62,5 +62,5 @@
 class LoadClassDescription
 {
-  friend class BaseLoadParam;
+  friend class LoadParamBase;
  public:
   LoadClassDescription(const char* className);
@@ -88,11 +88,11 @@
 **************************/
 //! abstract Base class for a Loadable parameter
-class BaseLoadParam : public BaseObject
+class LoadParamBase : public BaseObject
 {
  public:
-  BaseLoadParam* describe(const char* descriptionText);
+  LoadParamBase* describe(const char* descriptionText);
 
  protected:
-  BaseLoadParam(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
+  LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
 
  protected:
@@ -140,5 +140,5 @@
 #define LoadParam0() \
 LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(), bool multi = false) \
-  : BaseLoadParam(root, pt2Object, paramName, 0, multi, NULL, "") \
+  : LoadParamBase(root, pt2Object, paramName, 0, multi, NULL, "") \
 { \
   if (loadString != NULL && root != NULL) \
@@ -156,5 +156,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE), \
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, NULL, type1##_PARAM, default1) \
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, NULL, type1##_PARAM, default1) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -175,5 +175,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE, type2##_TYPE), \
            bool multi = false,  type1##_TYPE default1 = type1##_DEFAULT,  type2##_TYPE default2 = type2##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 2, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2) \
+  : LoadParamBase(root, pt2Object, paramName, 2, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -201,5 +201,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE, type2##_TYPE, type3##_TYPE), \
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT)\
-  : BaseLoadParam(root, pt2Object, paramName, 3, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3) \
+  : LoadParamBase(root, pt2Object, paramName, 3, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -229,5 +229,5 @@
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT, \
            type4##_TYPE default4 = type4##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 4, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
+  : LoadParamBase(root, pt2Object, paramName, 4, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
                   type4##_PARAM, default4) \
 { \
@@ -260,5 +260,5 @@
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT, \
            type4##_TYPE default4 = type4##_DEFAULT, type5##_TYPE default5 = type5##_DEFAULT ) \
-  : BaseLoadParam(root, pt2Object, paramName, 5, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
+  : LoadParamBase(root, pt2Object, paramName, 5, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
                   type4##_PARAM, default4, type5##_PARAM, default5) \
 { \
@@ -283,5 +283,5 @@
 #define LoadParamPT(type1) \
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE), type1##_TYPE pointerToParam, bool multi = false) \
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, pointerToParam, type1##_PARAM) \
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, pointerToParam, type1##_PARAM) \
 { \
       if (pointerToParam != NULL && root != NULL) \
@@ -292,5 +292,5 @@
 
 //! derived template class, so all the Classes can load something.
-template<class T> class LoadParam : public BaseLoadParam
+template<class T> class LoadParam : public LoadParamBase
 {
   public:
@@ -305,5 +305,5 @@
   // loads a Ti-XML-element
   LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const TiXmlElement*), bool multi = false)
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, NULL, "XML")
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, NULL, "XML")
   {
     if (root != NULL)